Empeoramiento al actualizar Rhythmbox

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Empeoramiento al actualizar Rhythmbox

Mensaje por desmolinux »

Pues me ha ocurrido una de esas cosas por las que no quiero actualizar todo el sistema, he actualizado el Rhythmbox+radio browser y ahora he perdido todas las emisoras que tenia en favoritos y ademas ahora tengo poquisimas emisoras donde buscar. Se puede volver a la version anterior con synaptic o de alguna otra forma? :x
Danke.

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por niky45 »

Código: Seleccionar todo

aptitude search rythmbox
aptitude versions rythmbox
aptitude install rythmbox=version # donde version es la que te ha dado el versions. 
eso suponiendo que todavia este en los repos, claro. si no, si la que tenias venia en un cd (ejemplo: si usas ubuntu -offtopic: que mania con no especificar la distro, gracias a que has dicho lo de synaptic no me he tenido que limitar a preguntarte que distro usabas), pues... el versions te la tiene que marcar como "presente" (y luego ya la puedes instalar "normal")
:)

PD: claro, que luego querras que no se actualice... habia una forma para hacerlo con aptitude pero ahora mismo no la recuerdo. echale un ojo al man... (porque el aptitude install rythmbox= no funciona, verdad?? digo, el = no sirve para indicar hold?? )
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por desmolinux »

Soy el pesado del PclinuxOs :D , he intentado lo del aptitude search rhythmbox y me dice: no se encontro la orden :( que puede ser?

Avatar de Usuario
mcun
Administrador
Administrador
Mensajes: 3888
Registrado: Lun Abr 19, 2010 12:30 am
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)
Contactar:

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por mcun »

Claro pues PClinux esta basado en mandriva o no ?
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

Avatar de Usuario
Deckon
Moderador
Moderador
Mensajes: 3273
Registrado: Dom Abr 01, 2007 8:00 am
Ubicación: México, Estado de México

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por Deckon »

m[cun] escribió:Claro pues PClinux esta basado en mandriva o no ?
No, ya hace un rato que esta basado en su propio kernel...y si, si usa apt como gestor
Reglamento del Foro | Temas mas Preguntados | WikiEL | GitHub
Linux User #:406092
Manjaro | Asus P8z77-v | i5-2310 | Nvidia GeForce Gt 610 | Hp Ultrabook Folio 13

Avatar de Usuario
mcun
Administrador
Administrador
Mensajes: 3888
Registrado: Lun Abr 19, 2010 12:30 am
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)
Contactar:

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por mcun »

whow ..............

pues prueba apt search rhythmbox
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por niky45 »

desmolinux escribió:Soy el pesado del PclinuxOs :D , he intentado lo del aptitude search rhythmbox y me dice: no se encontro la orden :( que puede ser?
ay. para la proxima: regla numero uno. lo primero que debes decir es la distro, y lo segundo, el gestor de paquetes. :D

no obstante si pclinux efectivamente esta basada en deb, aptitude deberia estar en los repos. instalalo porque es mucho mas potenet que apt o synaptic.
:)
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
Deckon
Moderador
Moderador
Mensajes: 3273
Registrado: Dom Abr 01, 2007 8:00 am
Ubicación: México, Estado de México

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por Deckon »

si no tienes instalado aptitude busca el paquete con apt-cache search nombre del paquete
Reglamento del Foro | Temas mas Preguntados | WikiEL | GitHub
Linux User #:406092
Manjaro | Asus P8z77-v | i5-2310 | Nvidia GeForce Gt 610 | Hp Ultrabook Folio 13

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por desmolinux »

esta tarde me pongo a ver si lo consigo, gracias.

Editado -- Lun Feb 28, 2011 7:48 pm --

instale el aptitude en synaptic e hice "aptitude search rhythmbox" dando como resultado:
v gnome-applet-rhythmbox -
v librhythmbox-core.so.3 -
v librhythmbox-itms-detection-plugin -
v net-rhythmbox -
p pidgin-rhythmbox - Update Pidgin user info with music info playi
v pidgin-rhythmbox.so -
v pkgconfig(rhythmbox) -
i rhythmbox - Music Management Application
v rhythmbox-applet -
p rhythmbox-devel - Files needed to develop applications using rh
i rhythmbox-radio-browser - Radio browser shoutcast/icecast plugin for Rh
v rhythmbox-scrobbler -
v rhythmbox.so -
v rhythmbox0.7 -

luego hice "aptitude versions rhythmbox" y :

Orden desconocida "versions"
aptitude 0.4.4
Modo de uso: aptitude [-S nombre_fichero] [-u|-i]
aptitude [opciones] <acción> ...
Acciones (si no se especifica ninguna, aptitude entrará en modo interactivo):

install - instala/actualiza paquetes
remove - elimina paquetes
hold - bloquea paquetes
unhold - desbloquea un paquete
markauto - marca paquetes como instalados manualmente
unmarkauto - desmarca paquetes como instalados manualmente
forbid-version - prohíbe a aptitude actualizar a una versión específica de un paquete.
update - descarga las listas de paquetes nuevos/actualizables
upgrade - realiza una actualización segura
dist-upgrade - realiza una actualización, posiblemente instalando y eliminando paquetes
forget-new - olvida qué paquetes son "nuevos"
search - busca un paquete por nombre y/o expresión
show - muestra información detallada de un paquete
clean - elimina los ficheros de paquetes descargados
autoclean - elimina los ficheros de paquetes descargados obsoletos
download - descarga los ficheros .deb para un paquete
reinstall - descarga y (posiblemente) reinstala un paquete ya instalado

Opciones:
-h Este texto de ayuda
-s Simula las acciones, pero en realidad no las realiza.
-d Sólo descarga paquetes, no instala o desinstala nada.
-p Siempre pide confirmación de las acciones
-y Supone que la respuesta a preguntas simples del tipo sí/no es «sí»
-F formato Especifica el formato para mostrar los resultados de las búsquedas, lea el manual
-O orden Especifica como se deben ordenar los resultados de la búsqueda, lea el manual
-w ancho Especifica el ancho del visor para dar formato a los resultado de la búsqueda
-f Trata de arreglar paquetes rotos de forma agresiva.
-V Muestra la versión de los paquetes a instalar.
-D Muestra las dependencias de los paquetes cambiados automáticamente.
-Z Muestra el cambio del tamaño instalado de cada paquete.
-v Muestra información extra (puede darse más de una vez)
-t [distrib] Establece la distribución desde la que se instalan los paquetes
-q No muestra los indicadores de progreso incrementales en el modo de línea de órdenes.
-o opconf=val Establecer directamente la opción de configuración llamada «opconf»
--with(out)-recommends, Especifica si se tratan o no las recomendaciones como dependencias fuertes
-S fnombre: lee la información de estado extendida de aptitude de fnombre.
-u : Descarga una nueva lista de paquetes al arrancar.
-i : Realiza una instalación al arrancar.

Este aptitude no tiene poderes de Super Vaca.
creo que falta algo en la orden de "versions" no?

Avatar de Usuario
Deckon
Moderador
Moderador
Mensajes: 3273
Registrado: Dom Abr 01, 2007 8:00 am
Ubicación: México, Estado de México

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por Deckon »

es que seria "aptitude -v rhythmbox" para ver la version de rhuthmbox
Reglamento del Foro | Temas mas Preguntados | WikiEL | GitHub
Linux User #:406092
Manjaro | Asus P8z77-v | i5-2310 | Nvidia GeForce Gt 610 | Hp Ultrabook Folio 13

Avatar de Usuario
niky45
Forista Ancestral
Forista Ancestral
Mensajes: 9186
Registrado: Jue Abr 12, 2007 7:00 am
Ubicación: tras la pantalla (...)
Contactar:

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por niky45 »

:?
>>> aptitude version paquete
Unknown command "version"
aptitude 0.6.3
yo lo he metido mal a proposito para comprobar que en las opciones de la ayuda no aparece versions. pero aun asi, me temo que tu problema no es de ahi, sino de la version de aptitude usada...
(si esque hasta en lenny, que ya tiene dos anios algo largos, estaba la 0.4.11 :shock: de donde leches han sacado los paquetes los de pclinux?? :evil: :D )

descargate este e instalalo:

http://packages.debian.org/squeeze/i386 ... e/download

para instalar un deb:

Código: Seleccionar todo

cd /ruta/dir
ls | grep *deb # comprueba que NO haya ningun otro
dpkg -i *deb
aptitude install -f #sustituyelo por apt-get install -f si te diera algun error
y aqui tienes las dependencias:
http://packages.debian.org/squeeze/aptitude
es posible que tengas que bajarte algo mas a mano. :?

aunque si tienes acceso a synaptic, tal vez sea mas simple, buscar el paquete (rhythmbox o como quiera que se escriba, luego querran que sea capaz de instalarlo :?), y juraria que por los menus habia alguna opcion para elegir la version a instalar... simplemente, dile que quieres una anterior a la actual.

:)

(semi-edit)
es que seria "aptitude -v rhythmbox" para ver la version de rhuthmbox
eso te muestra la instalada. versions te muestra TODAS las que hay en los repos:

Código: Seleccionar todo

>>> aptitude versions rhythmbox
p   0.12.8-3                                                            stable,testing,unstable                          990
p   0.13.3-2                                                            experimental                                     1
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por desmolinux »

al final tuve que reinstalar el SO por problemas con la tarjeta de video tras actualizar el sistema con synaptic, bueno concretamente el problema ha sido con Vlc, porque fue actualizarlo y empezar de nuevo los problemas con la tarjeta (la pantalla se vuelve negra y recupera el entorno grafico pasado 1-2 segundos) hoy voy a reinstalar de nuevo el SO y actualizare con synaptic menos Vlc ya que la version 1.1.7 me da problemas, dejare la 1.1.4 que viene al instalar desde el Cd.
Pensais que debo hacerlo asi? o simplemente quitar Vlc y buscar la version 1.1.4 ?

Gracias de nuevo.

Avatar de Usuario
Deckon
Moderador
Moderador
Mensajes: 3273
Registrado: Dom Abr 01, 2007 8:00 am
Ubicación: México, Estado de México

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por Deckon »

deberías intentar instalarte un debian...con todas esas instalaciones que llevas ya te pudiste haber instalado un debían de forma decente
Reglamento del Foro | Temas mas Preguntados | WikiEL | GitHub
Linux User #:406092
Manjaro | Asus P8z77-v | i5-2310 | Nvidia GeForce Gt 610 | Hp Ultrabook Folio 13

Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3472
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por doc »

pues si, porque Pclos es una distro excelente, pero con un diseño un poco particular (una especie de mezcla de Mandriva y Ubuntu), y tiene poco soporte en foros (incluso yo diría que a nivel de sus creadores está un poco... congelada). Yo la tengo en mi portátil, pero para "dejarla tranquilita" y me es muy "amigable", pero en mi PC principal puse Debian, que admite toda clase de perrerías, porque siempre encuentras ayuda.

Avatar de Usuario
desmolinux
Forista Medio
Forista Medio
Mensajes: 194
Registrado: Vie Jun 04, 2010 10:14 am

Re: Empeoramiento al actualizar Rhythmbox

Mensaje por desmolinux »

lo cierto es que siempre me ha atraido Debian, pero 2 cosas de ella me han echado para atras, que su version estable suele tener unas versiones un poco antiguas de las aplicaciones y que su metodo de instalacion para un bruto como yo no lo veo facil.
De todas formas de donde puedo descargar un livecd de la ultima version? porque he visto esta web http://www.esdebian.org/debian/23952/pr ... ebian-live pero no me deja descargar la iso :(

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje